Subject: Ticket Assigned - Promotions or Gift Vouchers
From: Splash <[email-masked]>
To: [email-masked]
Date: Tue, 08 Nov 2022 08:22:11 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Promotions or Gift Vouchers Hi team I purchased from click and collect Your order9591357769 from this I ask refund 2 items 
Then I received refund voucher   95913577697273804247
So I decided to use that then I made this  Order 9593158095  but unfortunately it’s cancelled and voucher was redeemed there  and order cancelled also so now I am running here and there  I couldn’t use it again that voucher I am trying to contact the team  always  promised but no response till now I am really disappointed  form landmark Group many times called but I am helpless this will be the last shopping with you thank you https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5095908